List sensors
curl --request GET \
--url https://api.truecold.io/sensor \
--header 'x-api-key: <api-key>'import requests
url = "https://api.truecold.io/sensor"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.truecold.io/sensor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"serial_number": "<string>",
"model": "<string>",
"last_event_at": "2023-11-07T05:31:56Z",
"available": true,
"soft_deleted": "2023-11-07T05:31:56Z",
"soft_deleted_by": "<string>",
"site_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"battery_level": 123,
"offline": true,
"pending_upload_data": true,
"simulated": true,
"calibration_date": "2023-11-07T05:31:56Z",
"device_category": "<string>",
"target_temperature": 123,
"ai_energy_optimization": true
}
]{
"message": "An error occurred",
"code": "ERROR_CODE",
"details": {}
}{
"message": "An error occurred",
"code": "ERROR_CODE",
"details": {}
}Sensors
List sensors
GET
/
sensor
List sensors
Authorizations
API key for authentication. Contact your administrator to get an API key.
Query Parameters
Search term to filter results
Page number for pagination
Required range:
x >= 1Number of items per page
Required range:
1 <= x <= 100Response
Successfully retrieved sensors
Unique identifier
Creation timestamp
Last update timestamp
Provider ID
Account ID
name name
Serial Number
Model
last event timestamp
Available
Soft deletion timestamp
User who soft deleted the record
Site ID
Battery Level
Offline
Pending Upload Data
Whether the sensor is simulated
Calibration date
Device category
Target temperature
AI energy optimization enabled
